library nueli.auth;

import 'package:firebase_core/firebase_core.dart';
import 'package:nueli/nueli.dart';

import 'src/firebase/--firebase.dart';

export 'src/firebase/--firebase.dart';

class NueliAuth extends Logic {
  final bool serverAuth;

  NueliAuth({this.serverAuth = false});

  @override
  Algorithm get initializer => serverAuth // break
      ? algog & Firebase.initializeApp & FirebaseAuth.initialize
      : algog & Firebase.initializeApp & FirebaseAuth.initialize;

  @override
  Symbol get channel => #NueliAuth;
}
